package cn.com.ty.lift.system.settings.dao.entity.model;

import cn.com.ty.lift.system.settings.dao.entity.MtCompanyAttestation;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author huangyuan
 * @date 2019-12-12
 * @description
 */
@Data
public class CompanyAttestationResponse {
    private Long id;//申请信息id
    private Long mtCompanyId;//企业公司id
    private String logoImg;//logo路径
    private String attestationName;//公司名称
    private String contactsName;//联系人
    private String contactsTel;//联系人电话号码
    private String businessLicenseAnnex;//企业营业执照路径
    private String taxRegistration;//资质证书
    private String createUser;//创建人
    private Integer limitedNum;//电梯台量
    private Integer vipFlag;//是否vip标识，0：不是vip，1：是vip
    private LocalDateTime createTime;//申请时间
    private LocalDateTime dealTime;//处理时间
    private String customerManagerName;//客户经理名称

    public CompanyAttestationResponse(){}

    public CompanyAttestationResponse(MtCompanyAttestation mtCompanyAttestation){
        this.id = mtCompanyAttestation.getId();
        this.logoImg = mtCompanyAttestation.getLogoImg();
        this.attestationName = mtCompanyAttestation.getAttestationName();
        this.contactsName = mtCompanyAttestation.getContactsName();
        this.contactsTel = mtCompanyAttestation.getContactsTel();
        this.businessLicenseAnnex = mtCompanyAttestation.getBusinessLicenseAnnex();
        this.taxRegistration = mtCompanyAttestation.getTaxRegistration();
        this.createUser = mtCompanyAttestation.getCreateUser();
        this.createTime = mtCompanyAttestation.getCreateTime();
        this.dealTime = mtCompanyAttestation.getDealTime();
    }
}
